<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Export to Excel</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container">
    <h1>Export Customers to Excel</h1>
    <button id="exportBtn" class="btn btn-primary">Export</button>
  </div>
</body>
<script>
  $(document).ready(function () {
    $("#exportBtn").click(function () {
      // Gọi REST API để xuất dữ liệu ra file Excel
      $.ajax({
        url: "http://localhost:8080/export/customers/excel",
        type: "GET",
        xhrFields: {
          responseType: 'blob' // Xác định kiểu dữ liệu nhận về là file blob
        },
        success: function (response, status, xhr) {
          // Xử lý file Excel trả về
          var filename = "";
          var disposition = xhr.getResponseHeader('Content-Disposition');
          if (disposition && disposition.indexOf('attachment') !== -1) {
            var filenameRegex = /filename[^;=\n]*=((['"]).*?\2|[^;\n]*)/;
            var matches = filenameRegex.exec(disposition);
            if (matches != null && matches[1]) {
              filename = matches[1].replace(/['"]/g, '');
            }
          }

          if (filename && !filename.toLowerCase().endsWith(".xlsx")) {
            filename += ".xlsx";
          }

          // Lấy ngày giờ hiện tại trong định dạng yyyy-MM-dd_HH:mm:ss
          var currentDateTime = new Date().toISOString().replace(/[-:.]/g, "_");
          filename = "users_" + currentDateTime + ".xlsx";

          var blob = new Blob([response], { type: 'application/octet-stream' });
          var link = document.createElement('a');
          link.href = window.URL.createObjectURL(blob);
          link.download = filename;
          link.click();
        },
        error: function (xhr, status, error) {
          console.log("Error: " + error);
        }
      });
    });
  });
</script>

</html>